package cn.axzo.workflow.core.service;

import cn.axzo.workflow.common.enums.BpmnProcessInstanceResultEnum;
import cn.axzo.workflow.common.model.request.bpmn.task.ExtHiTaskSearchDTO;
import cn.axzo.workflow.core.repository.entity.ExtAxHiTaskInst;

import java.util.List;

/**
 * 流程定义扩展表操作 Service
 *
 * @author wangli
 * @since 2023/11/18 22:25
 */
public interface ExtAxHiTaskInstService {

    void save(ExtAxHiTaskInst entity);

    void update(ExtAxHiTaskInst entity);

    List<ExtAxHiTaskInst> queryList(ExtHiTaskSearchDTO dto);

    ExtAxHiTaskInst getByTaskId(String taskId, String processInstanceId);

    void deleteStatusByTaskId(String taskId, String processInstanceId);

    void updateByTaskIdAndInstanceId(String taskId, String processInstanceId, String assignee, BpmnProcessInstanceResultEnum resultEnum);
}
